Bug 457923 - httpd's mod_deflate.so: undefined references
httpd's mod_deflate.so: undefined references
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 10:11 EDT by Gianluca Varisco
Modified: 2015-10-25 21:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 07:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Varisco 2008-08-05 10:11:54 EDT
Seems like 'httpd' package should be rebuilt due to apr's incompatibility (?) and mod_deflate.so

Steps to Reproduce:
1.  ld /usr/lib/httpd/modules/mod_deflate.so 
  
Actual results:

ld: warning: cannot find entry symbol _start; not setting start address
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_brigade_split'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_bucket_heap_create'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_table_unset'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_pool_cleanup_register'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_register_output_filter'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_pass_brigade'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_itoa'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_brigade_create'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_brigade_partition'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_pool_cleanup_null'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_bucket_immortal_create'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_psprintf'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_remove_input_filter'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_palloc'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_bucket_pool_create'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_brigade_cleanup'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_get_brigade'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_pool_cleanup_kill'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_table_setn'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_is_initial_req'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_off_t_toa'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_bucket_eos_create'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_bucket_type_eos'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_bucket_type_flush'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_get_token'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_pstrdup'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_table_get'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_table_mergen'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_remove_output_filter'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_table_set'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_pstrcat'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `apr_brigade_flatten'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_log_rerror'
/usr/lib/httpd/modules/mod_deflate.so: undefined reference to `ap_register_input_filter'

Additional info:

- httpd-2.2.8-3 (fc9)
Comment 1 Joe Orton 2008-08-05 11:27:19 EDT
Those symbols will be resolved when mod_deflate is linked into httpd.  What problem are you seeing?
Comment 2 Gianluca Varisco 2008-08-06 07:40:21 EDT
Joe,

It simply was a misconfiguration made by me. Everything is working as expected now. Sorry for this bug, I'm closing it! ;-)

Note You need to log in before you can comment on or make changes to this bug.